## org.omg.CORBA
Class AttrDescriptionSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.AttrDescriptionSeqHelper

public class AttrDescriptionSeqHelper
extends java.lang.Object

Helper class for : AttrDescriptionSeq

Author:
  OpenORB Compiler

Constructor Summary
`AttrDescriptionSeqHelper()`

Method Summary
`static AttributeDescription[]` `extract(Any a)` Extract AttrDescriptionSeq from an any
`static java.lang.String` `id()` Return the AttrDescriptionSeq IDL ID
`static void` `insert(Any a, AttributeDescription[] t)` Insert AttrDescriptionSeq into an any
`static AttributeDescription[]` `read(InputStream istream)` Read AttrDescriptionSeq from a marshalled stream
`static TypeCode` `type()` Return the AttrDescriptionSeq TypeCode
`static void` `write(OutputStream ostream, AttributeDescription[] value)` Write AttrDescriptionSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrDescriptionSeqHelper

    public AttrDescriptionSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AttributeDescription[] t)

  Insert AttrDescriptionSeq into an any
  Parameters:
    `a` - an any
    `t` - AttrDescriptionSeq value

### extract

    public static AttributeDescription[] extract(Any a)

  Extract AttrDescriptionSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AttrDescriptionSeq value

### type

    public static TypeCode type()

  Return the AttrDescriptionSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AttrDescriptionSeq IDL ID
  Returns:
    an ID

### read

    public static AttributeDescription[] read(InputStream istream)

  Read AttrDescriptionSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AttrDescriptionSeq value

### write

    public static void write(OutputStream ostream,
                             AttributeDescription[] value)

  Write AttrDescriptionSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AttrDescriptionSeq value